# Point Supervision Label on ADE20K

### Annotation details

* Annotations are in the format of NumPy file. 
* The name is same with RGB image. E.g. `ADE_train_00000001.npy`  corresponds to the image of `ADE_train_00000001.jpg`.
* The size of annotations is same with the original image.
* Labels are ranging in `[0, 149]` with `0` as the background, `255` as the ignored part. For original annotations of ADE20K, the labels are ranging in `[0, 150]` with `0` as the ignored part and `1` as the background. According to the authors, they would transfer the `[1, 150]` to `[0, 149]` in training.



### Label parsing example

```python
import numpy as np
label_0 = np.load('ADE_train_00000001.npy')
```

